[arch-commits] Commit in zlib/trunk (PKGBUILD)

Pierre Schmitz pierre at archlinux.org
Sat Jul 5 06:09:46 EDT 2008


    Date: Saturday, July 5, 2008 @ 06:09:46
  Author: pierre
Revision: 4209

upgpkg: zlib 1.2.3.3-1
    'new' upstream update; cleaned up PKGBUILD

Modified:
  zlib/trunk/PKGBUILD

----------+
 PKGBUILD |   40 ++++++++++++----------------------------
 1 file changed, 12 insertions(+), 28 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2008-07-05 05:55:53 UTC (rev 4208)
+++ PKGBUILD	2008-07-05 10:09:46 UTC (rev 4209)
@@ -1,41 +1,25 @@
 # $Id$
-# Maintainer: judd <jvinet at zeroflux.org>
+# Maintainer: Pierre Schmitz <pierre at archlinux.de>
+
 pkgname=zlib
-pkgver=1.2.3
-pkgrel=4
+pkgver=1.2.3.3
+pkgrel=1
 pkgdesc="A compression/decompression Library"
-arch=(i686 x86_64)
+arch=('i686' 'x86_64')
 license=('custom:zlib')
 url="http://www.gzip.org/zlib"
 groups=('base')
 depends=('glibc')
-source=(http://www.zlib.net/zlib-$pkgver.tar.gz)
-md5sums=('debc62758716a169df9f62e6ab2bc634')
+source=("ftp://ftp.archlinux.org/other/zlib/zlib-${pkgver}.tar.gz")
+md5sums=('c444cf020e5f0e3323b11f5a2d8af8d3')
 
 build() {
-	cd "$startdir"/src/zlib-$pkgver
+	cd ${srcdir}/zlib-$pkgver
 
-  	# Build the static library
-	./configure --prefix=/usr
-	make libz.a || return 1
-	mv -v {,x}libz.a
-	make clean
-
-	# enable Position Independent Code for prelinking
-	[ -n "$CFLAGS" ] && export CFLAGS="$CFLAGS -fPIC"
-	# Build the shared library
 	./configure --prefix=/usr --shared
 	make || return 1
+	make install prefix=${pkgdir}/usr || return 1
 
-	# install
-	make prefix="$startdir"/pkg/usr install
-	cp -v xlibz.a "$startdir"/pkg/usr/lib/libz.a
-	mkdir -pv "$startdir"/pkg/lib
-	mv -v "$startdir"/pkg/usr/lib/libz.so.* "$startdir"/pkg/lib/
-	chmod 644 "$startdir"/pkg/lib/*
-	ln -svf ../../lib/libz.so.1 "$startdir"/pkg/usr/lib/libz.so
-
-	# license, ripped out of the README file
-	mkdir -p "$startdir/pkg/usr/share/licenses/$pkgname"
-	grep -A 100 '^Copyright' README > "$startdir/pkg/usr/share/licenses/$pkgname/license.txt"
-}
+	grep -A 24 '^  Copyright' zlib.h > license.txt
+	install -D license.txt ${pkgdir}/usr/share/licenses/custom/zlib/license.txt
+}
\ No newline at end of file





More information about the arch-commits mailing list